from tkinter import *
from tkinter.ttk import *
from graaf import *

root = Tk()
root.title("Graafistaja 1.0")
graaf = None

# Tee peamenüü

mainmenu = Menu(root)

# Tee File alammenüü

filemenu = Menu(mainmenu)

def open_cmd():
    global graaf
    fn = filedialog.askopenfilename()
    graaf = graaf_failist(fn)
    tipulist = list(range(tippude_arv(graaf)))
    combo_tipp.config(values=tipulist)

    

filemenu.add_command(label="Open", command=open_cmd)

def exit_cmd():
    root.quit()
    root.destroy()
    
filemenu.add_command(label="Exit", command=exit_cmd)
mainmenu.add_cascade(menu=filemenu, label="File")


# Lisa about käsk
def about():
    messagebox.showinfo(title="Graafistaja 1.0", message="Graafi tipu astaku leidja")


# Lisa valikukast
tipp_sv = StringVar()
combo_tipp = Combobox(root, textvariable=tipp_sv, values=[] )
combo_tipp.grid(row=0, column=0)

def select(event):
    try:
        tipuastak = astak(graaf, int(tipp_sv.get()))
    except:
        pass
    else:
        astak_lbl.config(text="  Astak:   " + str(tipuastak))

combo_tipp.bind("<<ComboboxSelected>>", select)

# Lisa astaku silt
astak_lbl = Label(root, text="Määramata")
astak_lbl.grid(row=0, column=1)

mainmenu.add_command(label="About", command=about)
root.config(menu=mainmenu)
root.mainloop()
